Jump to content

Problems loading modules in 1.5 servers


AlexTMjugador

Recommended Posts

Since I updated to MTA 1.5 (both client and server), the server stopped working properly, although the client still works as it always did. I run the aforementioned servers in my personal computer, which has Windows 8.1 64 bit. Below I will describe my issue more properly.

When opening the 1.5 32 bit server, it is unable to load two of the three modules that I need for some resources to function. These modules are exactly the same I used on the 1.4.1 server, and they loaded fine. The server.log file outputs these errors:

[2015-07-22 19:37:06] MODULE: Loaded "SHA Module" (1.02) by "mabako" 
[2015-07-22 19:37:07] MODULE: Unable to load mods\deathmatch\modules\mta_mysql.dll! (126) 
[2015-07-22 19:37:07] MODULE: Unable to load mods\deathmatch\modules\ml_sockets.dll! (14001) 

(I know that these modules are nowadays unnecesary, but anyway I still need them because I wouldn't like to redo the resources that use them).

I tried to ask Google what these errors mean, and found that the error 126 is related to not finding the DLL. This is not the case of mta_mysql.dll, because it is in the required path:

6h2ik6.png

Then, out of curiosity about the error, I decided to give the 64 bit server a try, to see whether it works or not. For my surprise, the server wasn't able to load the SHA module AND the other two (but this time with the same error, 126):

[2015-07-22 20:00:17] MODULE: Unable to load x64\modules\sha.dll! (126) 
[2015-07-22 20:00:17] MODULE: Unable to load x64\modules\mta_mysql.dll! (126) 
[2015-07-22 20:00:17] MODULE: Unable to load x64\modules\ml_sockets.dll! (126) 

The modules for the 64 bit server were located in their respective folder too.

Looking at these errors, I decided to execute both 32 bit and 64 bit server (one after another) with elevated privileges, but it had no effect on the outcome of both of them.

After doing further research in Google, I tried to repair my WinSxS folder using these instructions and reinstalled/installed some Visual C++ Redistributables. These are all the redistributables that I have now:

14sh6di.png

However, even after doing all of these things, the errors are still there. And last, but not least, the version of the servers that I use are:

MTA:SA Server v1.5-release-7364 (32 bit 1.5 server)

MTA:SA Server v1.5-release-7364 (64 bit 1.5 server)

MTA:SA Server v1.4.1-release-7073 (32 bit 1.4.1 server)

MTA:SA Server v1.4.1-release-7073 (64 bit 1.4.1 server)

If someone could help me fixing these errors I would be very grateful. Thanks in advance :)

Link to post

I use the 32 bit version of every module (even in the 64 bit server). I know that doesn't work anyway, but as I said I just wanted to see what would happen. Then I decided to mention that in the post because error 126 is strange, even when trying to load a 32 bit module on a 64 bit server (or that's what I think). Thanks for your quick response :)

Link to post

I replaced the modules I had with the ones you provided. Then I launched the 32 bit server and the server.log file outcome changed a bit:

[2015-07-23 16:11:23] MODULE: Loaded "SHA Module" (1.02) by "mabako" 
[2015-07-23 16:11:23] MODULE: Unable to load mods\deathmatch\modules\mta_mysql.dll! (126) 
[2015-07-23 16:11:23] MODULE: Loaded "Sockets Module" (1.30) by "Gamesnert, MCvarial & x86" 

Now SHA and sockets modules work, but mta_mysql.dll is still unable to load.

I would also like to mention that I downloaded the original modules from this website: https://github.com/mabako/mta-paradise/ ... er/modules

Link to post
  • 1 year later...

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...